const tables = [
  game.wfrp4e.tables.findTable("mutatephys"),
  game.wfrp4e.tables.findTable("mutatephys", "Khorne"),
];

if (!tables.length) {
  return ui.notifications.error("Table de Mutation introuvable, veuillez vous assurer qu'une table avec la clé `mutatephys` est importée dans le monde.");
}

const values = {}

let i = 0;
for (const table of tables) {
  values[i] = table.name;
  i++;
}

const key = await ValueDialog.create({}, null, values);
const table = tables[key];

const results = (await table.drawMany(2)).results;
const uuids = results.map(result => `Compendium.${result.documentCollection}.${result.documentId}`);

await this.actor.addEffectItems(uuids, this.effect);
this.script.notification("TTirage de mutation effectué et appliqué");